Skip to main content

Upgrading from 5.0 or 5.1 to 5.3 or newer - if using the XDR bin projection functionality

Upgrading from 5.0 or 5.1 to 5.3 or newer - if using the XDR bin projection functionality (via the ship-only-specified-bins configuration parameter).

When using the XDR bin projection feature in versions 5.0 or 5.1, upgrading to version 5.3 or above requires first upgrading to version 5.2.

Contents

Upgrade to 5.2

Upgrade to 5.2 with the bin-policy only-specified configuration (replacing the ship-only-specified-binsconfiguration). Setting the bin-policy only-specified configuration parameter in version 5.2 will keep doing the bin projection, but without causing bin metadata to be stored and avoid interference with 5.0/5.1 nodes still in the cluster during the rolling upgrade.

Upgrade to 5.3 or newer

Once the 5.2 upgrade is complete, upgrade to 5.3 or newer and update the configuration as follows:

  • Update the bin-policy from only-specified to changed-and-specified (or whatever desired).
note

While running a mixed version cluster the 5.2 nodes will understand the bin metadata the 5.3 or newer nodes send.